import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/services/auth_service.dart';
import 'package:provider/provider.dart';
import 'package:screenshot/screenshot.dart';

import 'routes.dart';
import 'theme.dart';

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    var screenshotController = ScreenshotController();

    return MultiProvider(
      providers: [
        // Add service that can be accessed globally here
        Provider<AuthService>(create: (_) => AuthService()),
        Provider.value(value: screenshotController),
      ],
      child: Screenshot(
        controller: screenshotController,
        child: MaterialApp(
          theme: AppTheme.light(),
          themeMode: ThemeMode.light,
          darkTheme: AppTheme.dark(),
          onGenerateRoute: AppRoute.router.generator,
          initialRoute: AppRoute.home,
        ),
      ),
    );
  }
}
