import 'dart:io';
import 'package:universal_html/html.dart' as html;
import 'package:esys_flutter_share/esys_flutter_share.dart';
import 'package:flutter/cupertino.dart';
import 'package:provider/provider.dart';
import 'package:screenshot/screenshot.dart';
import 'package:url_launcher/url_launcher.dart';

void shareScreenshot(BuildContext context, String title) {
  final screenshotController = Provider.of<ScreenshotController>(context, listen: false);
  screenshotController.capture(pixelRatio: 1.5).then((File image) {
    Share.file(
        'Siaga Wabah',
        title != null ? 'Siaga_Wabah_$title.png' : 'Siaga_Wabah.png',
        image.readAsBytesSync(),
        'image/png');
  });
}

Future launchURL(String url, {String scheme}) async {
  var _url = scheme == null ? url: '${scheme}:${url}';
  if (await canLaunch(_url)) {
    await launch(_url);
  } else {
    html.window.open('${_url}', scheme);
  }
}

String cleanPhoneNumber(String phoneNumber) {
  return phoneNumber
      .replaceAll(RegExp(r'[^0-9]'), '')
      .replaceAll(RegExp(r'^0+'), '');
}
