import 'package:flutter/material.dart';
import 'package:mobile_apps/src/common/constants.dart';
import 'package:mobile_apps/src/common/functions.dart';
import 'package:mobile_apps/src/routes.dart';

class SigapAppBar extends StatelessWidget implements PreferredSizeWidget {
  final String title;
  final PreferredSizeWidget bottom;
  SigapAppBar({this.title, this.bottom});

  @override
  Size get preferredSize {
    var height = 56.0;
    if (bottom != null) {
      height += bottom.preferredSize.height;
    }
    return Size.fromHeight(height);
  }

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: Text(title ?? 'Siaga Wabah',
          style: TextStyle(fontWeight: FontWeight.bold)),
      actions: <Widget>[
        IconButton(
          icon: Icon(Icons.share),
          onPressed: () => shareScreenshot(context, title),
        ),
        Container(
          margin:
              EdgeInsets.only(right: MarginConstants.horizontalFromScreen * 2),
          child: (title == 'Notifikasi') ? null : IconButton(
            icon: Icon(Icons.notifications),
            tooltip: 'Notifikasi',
            onPressed: () {
              Navigator.of(context).pushNamed(AppRoute.notification);
            },
          ),
        ),
      ],
      centerTitle: true,
      bottom: bottom,
    );
  }
}
