import 'package:flutter/material.dart';
import 'package:mobile_apps/src/common/constants.dart';
import 'package:mobile_apps/src/components/appbar/sigapappbar.dart';
import 'package:mobile_apps/src/screens/home/home_screen.dart';
import 'package:mobile_apps/src/screens/ketersediaan_screen/ketersediaan_agregrasi.dart';


class BottomNavigation extends StatefulWidget {
  const BottomNavigation({Key key}) : super(key: key);

  @override
  _BottomNavigationState createState() => _BottomNavigationState();
}

class _BottomNavigationState extends State<BottomNavigation> {
  static const TextStyle optionStyle =
  TextStyle(fontSize: 30, fontWeight: FontWeight.bold);

  static const List<String> _appBarTitle = <String>[
    'SIGAP',
    'KETERSEDIAAN',
    'Akun'
  ];

  static const List<Widget> _widgetOptions = <Widget>[
    HomeScreen(),
    KetersediaanAgregrasi(),
    Text(
      'Akun',
      style: optionStyle,
    ),
  ];

  int _selectedIndex = 0;

  void _onItemTapped(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }


  Widget _dynamicAppBar(BuildContext context) {

    return SigapAppBar(title: _appBarTitle[_selectedIndex],);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: _dynamicAppBar(context),
      body: _widgetOptions.elementAt(_selectedIndex),
      backgroundColor: ColorConstants.backgroundColor,
      bottomNavigationBar: BottomNavigationBar(
        items: const <BottomNavigationBarItem>[
          BottomNavigationBarItem(
              icon: Icon(
                Icons.home,
              ),
              title: Text('Beranda')),
          BottomNavigationBarItem(
              icon: Icon(Icons.list), title: Text('Ketersediaan')),
          BottomNavigationBarItem(
              icon: Icon(
                Icons.person_outline,
              ),
              title: Text('Akun'))
        ],
        currentIndex: _selectedIndex,
        selectedItemColor: ColorConstants.redPrimary,
        onTap: _onItemTapped,
        unselectedLabelStyle: TextStyle(color: Colors.grey),
        unselectedItemColor: Colors.grey,
      ),
    );
  }
}
