import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';
import 'package:flutter/foundation.dart' show kIsWeb;

class CustomCachedNetworkImage extends StatelessWidget {
  final String imageUrl;

  const CustomCachedNetworkImage({Key key, @required this.imageUrl}) :
        assert(imageUrl != null), super(key: key);

  @override
  Widget build(BuildContext context) {
    return kIsWeb ? Container(
      decoration: BoxDecoration(
          image: DecorationImage(
              image: NetworkImage(imageUrl),
              fit: BoxFit.scaleDown)),
    ): CachedNetworkImage(
      imageUrl: imageUrl,
      imageBuilder: (context, imageProvider) => Container(
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(20),
            image: DecorationImage(
                image: imageProvider, fit: BoxFit.contain)),
      ),
      placeholder: (context, _) =>
      const Center(child: CircularProgressIndicator()),
      errorWidget: (context, url, error) => Container(
        decoration: BoxDecoration(
            image: DecorationImage(
                image: AssetImage(
                    'assets/images/medical-item-placeholder.png'),
                fit: BoxFit.scaleDown)),
      ),
    );
  }
}
