import 'package:flutter/material.dart';
import 'package:mobile_apps/src/common/constants.dart';

class InputSearch extends StatelessWidget {
  final Function(String) onChange;

  const InputSearch({
    Key key, this.onChange,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextField(
      onChanged: onChange,
      decoration: InputDecoration(
          contentPadding: EdgeInsets.symmetric(horizontal: 8),
          labelStyle: TextStyle(color: Color(0xff4E7890)),
          fillColor: Color(0xffF1F1F1),
          filled: true,
          border: OutlineInputBorder(),
          enabledBorder: OutlineInputBorder(
            borderSide: BorderSide(color: Color(0xff4E7890)),
          ),
          focusedBorder: OutlineInputBorder(
            borderSide: BorderSide(color: ColorConstants.bluePrimary),
          ),
          suffixIcon: IconButton(
            icon: Icon(Icons.search),
            onPressed: () {},
            color: ColorConstants.redSecondary,
          )),
    );
  }
}
