import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/common/constants.dart';

class ProgressBar extends StatelessWidget {
  final int current;
  final int total;
  final double height;
  final double radius;
  final Color currentColor;
  final Color totalColor;

  const ProgressBar(this.current, this.total,
      {this.height = 20,
      this.radius = 10,
      this.currentColor = ColorConstants.redPrimary,
      this.totalColor = ColorConstants.pinkPrimary,
      Key key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: <Widget>[
        Container(
          width: MediaQuery.of(context).size.width - 24,
          height: height,
          decoration: BoxDecoration(
              color: totalColor,
              borderRadius: BorderRadius.circular(radius)),
        ),
        Container(
          height: height,
          width:
              _getProgress(context: context, available: current, total: total),
          decoration: BoxDecoration(
              color: currentColor,
              borderRadius: BorderRadius.circular(radius)),
        )
      ],
    );
  }
}

double _getProgress({BuildContext context, int available, int total}) {
  return MediaQuery.of(context).size.width * (available / total);
}
