import 'package:flutter/material.dart';

class TextFormInput extends StatelessWidget {
  final String field;
  final Function(String) onChange;
  final TextInputType type;
  final int line;

  const TextFormInput({Key key, this.field, this.onChange, this.type, this.line}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 8.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: <Widget>[
          Text(field),
          TextFormField(
            decoration: InputDecoration(
              fillColor: Colors.white,
              filled: true,
              hintText: 'Tuliskan ${field.toLowerCase()} Anda di sini',
              border: InputBorder.none
            ),
            keyboardType: type,
            key: Key(field),
            validator: (String val) {
              if (val.isEmpty) {
                return 'Data harus diisi.';
              }
              return null;
            },
            onChanged: onChange,
            maxLines: line,
          ),
        ],
      ),
    );
  }
}