import 'package:json_annotation/json_annotation.dart';
import 'package:mobile_apps/src/common/CustomSerializer.dart';
import 'package:cloud_firestore/cloud_firestore.dart';
part 'home_industry.g.dart';

@JsonSerializable()
class HomeIndustry {
  final String id;
  final String nama;
  final String alamat;
  @JsonKey(name: 'geolocation', fromJson: CustomSerializer.geoPointToMap)
  final Map<String, double> geoLocation;

  HomeIndustry({this.nama, this.alamat, this.id, this.geoLocation});

  factory HomeIndustry.fromJson(Map<String, dynamic> json) =>
      _$HomeIndustryFromJson(json);

  Map<String, dynamic> toJson() => _$HomeIndustryToJson(this);
}
