import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:to_string/to_string.dart';

part 'item.g.dart';

@JsonSerializable()
@ToString()
class Item extends Equatable {
  final String deskripsi;
  final String manfaat;
  final String nama;
  final String url;

  Item({this.deskripsi, this.manfaat, this.nama, this.url});

  factory Item.fromJson(Map<String, dynamic> json) =>
      _$ItemFromJson(json);

  Map<String, dynamic> toJson() => _$ItemToJson(this);

  @override
  List<Object> get props => [nama, url];

  @override
  String toString() => _$ItemToString(this);
}