import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:mobile_apps/src/common/CustomSerializer.dart';
part 'item_needed.g.dart';

@JsonSerializable(nullable: false)
class ItemNeeded {
  final String id;
  final int kebutuhan;

  @JsonKey(name: 'item', fromJson: CustomSerializer.docReferenceToPath)
  final String itemPath;

  @JsonKey(
      name: 'periode_berakhir', fromJson: CustomSerializer.timeStampToDateTime)
  final DateTime periodeTerakhir;

  @JsonKey(
      name: 'periode_mulai', fromJson: CustomSerializer.timeStampToDateTime)
  final DateTime periodeMulai;

  final int terpenuhi;

  const ItemNeeded({
    this.id,
    this.kebutuhan,
    this.periodeTerakhir,
    this.periodeMulai,
    this.terpenuhi,
    this.itemPath,
  });

  factory ItemNeeded.fromJson(Map<String, dynamic> json) =>
      _$ItemNeededFromJson(json);

  Map<String, dynamic> toJson() => _$ItemNeededToJson(this);
}
