import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:mobile_apps/src/common/CustomSerializer.dart';
part 'item_supplier_aggregate.g.dart';

@JsonSerializable(nullable: false)
class ItemSupplierAggregate {

  @JsonKey(name: 'barang', fromJson: CustomSerializer.docReferenceToPath)
  final String barangPath;

  @JsonKey(name: 'supplier', fromJson: CustomSerializer.docReferenceToPath)
  final String supplierPath;

  const ItemSupplierAggregate({
    this.barangPath, this.supplierPath,
  });

  factory ItemSupplierAggregate.fromJson(Map<String, dynamic> json) =>
      _$ItemSupplierAggregateFromJson(json);

  Map<String, dynamic> toJson() => _$ItemSupplierAggregateToJson(this);
}