import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:to_string/to_string.dart';

part 'kontak.g.dart';

@JsonSerializable()
@ToString()
class Kontak extends Equatable {
  final String email;
  final String jabatan;
  final String nama;
  final String telepon;

  Kontak({
    this.email,
    this.jabatan,
    this.nama,
    this.telepon,
  });

  factory Kontak.fromJson(Map<String, dynamic> json) =>
      _$KontakFromJson(json);

  Map<String, dynamic> toJson() => _$KontakToJson(this);

  @override
  List<Object> get props => [nama, telepon];

  @override
  String toString() => _$KontakToString(this);
}
