import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:to_string/to_string.dart';

part 'notifikasi.g.dart';

@JsonSerializable()
@ToString()
class Notifikasi extends Equatable {
  @JsonKey(
    fromJson: _timestampToDateTime,
  )
  final DateTime waktu;
  final String judul;
  final String deskripsi;
  final String tipe;
  @JsonKey(
    fromJson: _docRef,
    toJson: _docRef,
  )
  final DocumentReference objectPath;

  Notifikasi({
    this.waktu,
    this.judul,
    this.deskripsi,
    this.tipe,
    this.objectPath,
  });

  factory Notifikasi.fromJson(Map<String, dynamic> json) => _$NotifikasiFromJson(json);

  Map<String, dynamic> toJson() => _$NotifikasiToJson(this);

  @override
  List<Object> get props => [waktu, judul, tipe, objectPath,];

  @override
  String toString() => _$NotifikasiToString(this);

  static DateTime _timestampToDateTime(Timestamp waktu) {
    return DateTime.fromMicrosecondsSinceEpoch(waktu.microsecondsSinceEpoch);
  }

  static DocumentReference _docRef(DocumentReference objectPath) {
    return objectPath;
  }
}
