import 'package:json_annotation/json_annotation.dart';
import 'package:mobile_apps/src/common/CustomSerializer.dart';
import 'package:cloud_firestore/cloud_firestore.dart';
part 'product_supplier.g.dart';

@JsonSerializable()
class ProductSupplier {
  @JsonKey(name: 'item', fromJson: CustomSerializer.docReferenceToPath)
  final String idItem;
  final String admin;
  final String spesifikasi;
  final int stok;
  final String manfaat;
  final String id;
  final int harga;

  @JsonKey(fromJson: CustomSerializer.timeStampToDateTime)
  final DateTime timestamp;

  ProductSupplier({this.id, this.idItem, this.admin, this.spesifikasi, this.stok, this.timestamp, this.manfaat, this.harga});

  factory ProductSupplier.fromJson(Map<String, dynamic> json) =>
      _$ProductSupplierFromJson(json);

  Map<String, dynamic> toJson() => _$ProductSupplierToJson(this);
}