import 'package:json_annotation/json_annotation.dart';
import 'package:mobile_apps/src/common/CustomSerializer.dart';
import 'package:cloud_firestore/cloud_firestore.dart';

part 'supplier.g.dart';

@JsonSerializable()
class Supplier {
  final String id;
  final String alamat;
  final String nama;
  final String rekomendasi;
  final String sales;
  final String telepon;
  final String url;

  @JsonKey(name: 'geolocation', fromJson: CustomSerializer.geoPointToMap)
  final Map<String,double> geoLocation;
  Supplier({
    this.id,
    this.nama,
    this.url,
    this.alamat,
    this.rekomendasi,
    this.sales,
    this.telepon,
    this.geoLocation,
  });

  factory Supplier.fromJson(Map<String, dynamic> json) =>
      _$SupplierFromJson(json);

  Map<String, dynamic> toJson() => _$SupplierToJson(this);
}
