import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:to_string/to_string.dart';
import 'package:intl/intl.dart';

part 'ulasan.g.dart';

@JsonSerializable()
@ToString()
class Ulasan extends Equatable {
  final String email;
  final String jabatan;
  final String nama;
  final String telepon;

  final String body;
  final DateTime timestamp;

  static final DateFormat _dateFormat = DateFormat('dd MMMM yyyy');
  String get displayDate {
    return _dateFormat.format(timestamp);
  }

  Ulasan({
    this.email,
    this.jabatan,
    this.nama,
    this.telepon,
    this.body,
    this.timestamp,
  });

  factory Ulasan.fromJson(Map<String, dynamic> json) {
    // modification to parse firebase Timestamp to DateTime
    // without changing generated code from json_serializable
    Timestamp timestamp = json['timestamp'];
    if (timestamp != null) {
      json['timestamp'] = DateTime.fromMicrosecondsSinceEpoch(timestamp.microsecondsSinceEpoch).toIso8601String();
    }

    return _$UlasanFromJson(json);
  }


  Map<String, dynamic> toJson() => _$UlasanToJson(this);

  @override
  List<Object> get props => [nama, body];

  @override
  String toString() => _$UlasanToString(this);
}
