import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/dokumen.dart';

class DokumenRepository {
  List<Dokumen> allDokumen(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<Dokumen>((document) => Dokumen.fromJson(document.data))
        .toList();
  }

  CollectionReference dokumenCollections(String idSupplier) =>
      Firestore.instance.collection('waspada/covid19/supplier/$idSupplier/dokumen');

  Stream<QuerySnapshot> dokumenSnapshots(String idSupplier) =>
      dokumenCollections(idSupplier).snapshots();
}
