import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/home_industry.dart';
import 'package:mobile_apps/src/models/kontak.dart';
import 'package:mobile_apps/src/models/product_home_industry.dart';

class HomeIndustryRepository {
  CollectionReference get homeIndustryCollections =>
      Firestore.instance.collection('waspada/covid19/home-industry');

  DocumentReference getHomeIndustryDocument(String id) {
    return Firestore.instance.document('waspada/covid19/home-industry/$id');
  }

  CollectionReference getAllKontakHomeIndustry(String id) {
    return Firestore.instance
        .collection('waspada/covid19/home-industry/$id/kontak');
  }

  CollectionReference getAllProductHomeIndustry(String id) {
    return Firestore.instance
        .collection('waspada/covid19/home-industry/$id/barang');
  }

  Stream<QuerySnapshot> get homeIndustrySnapshots =>
      homeIndustryCollections.snapshots();

  List<HomeIndustry> semuaHomeIndustry(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<HomeIndustry>((document) => HomeIndustry.fromJson(
            document.data..addAll({'id': document.documentID})))
        .toList();
  }

  HomeIndustry homeIndustry(AsyncSnapshot<DocumentSnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return null;
    return HomeIndustry.fromJson(
        snapshot.data.data..addAll({'id': snapshot.data.documentID}));
  }

  List<Kontak> semuaKontakHomeIndustry(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<Kontak>((document) => Kontak.fromJson(document.data))
        .toList();
  }

  List<ProductHomeIndustry> semuaProductHomeIndustry(
      AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<ProductHomeIndustry>((document) => ProductHomeIndustry.fromJson(
            document.data..addAll({'id': document.documentID})))
        .toList();
  }
}
