import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/institusi.dart';

class InstitusiRepository {
  CollectionReference get institusiCollections =>
      Firestore.instance.collection('waspada/covid19/institusi');

  DocumentReference institusiDocument(String id) => Firestore.instance.document('waspada/covid19/institusi/$id');

  Stream<QuerySnapshot> get institusiSnapshots =>
      institusiCollections.snapshots();

  List<Institusi> semuaInstitusi(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<Institusi>((document) => Institusi.fromJson(
            document.data..addAll({'id': document.documentID})))
        .toList();
  }

  Institusi institusi(AsyncSnapshot<DocumentSnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return null;
    return Institusi.fromJson(
        snapshot.data.data..addAll({'id': snapshot.data.documentID}));
  }
}
