import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/inventory.dart';

class InventoryRepository {
  CollectionReference get inventoriesCollections => Firestore.instance.collection('waspada/covid19/agregasi');

  Stream<QuerySnapshot> get inventoriesSnapshots => inventoriesCollections.snapshots();

  List<Inventory> inventories(AsyncSnapshot<QuerySnapshot> snapshot) {
    Map<String, dynamic> inventory;
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents.map<Inventory>((document) {
      inventory = {...document.data};
      inventory['itemId'] = inventory['item'].documentID;
      inventory.remove('item');
      return Inventory.fromJson(inventory);
    }).toList();
  }
}
