import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/material.dart';
import 'package:mobile_apps/src/models/item_supplier_aggregate.dart';

class ItemKetersediaanRepository {
  CollectionReference get itemCollections =>
      Firestore.instance.collection('waspada/covid19/agregrasi-ketersediaan');

  List<ItemSupplierAggregate> allItemAvailable(
      AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<ItemSupplierAggregate>(
            (document) => ItemSupplierAggregate.fromJson(document.data))
        .toList();
  }

  List<ItemSupplierAggregate> allItemSearch(
      String search, AsyncSnapshot<QuerySnapshot> snapshot) {
    final searchLower = search.toLowerCase();
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .where((element) =>
            (element.data['nama_item'] as String)
                .toLowerCase()
                .contains(searchLower) ||
            (element.data['nama_supplier'] as String)
                .toLowerCase()
                .contains(searchLower))
        .map<ItemSupplierAggregate>(
            (document) => ItemSupplierAggregate.fromJson(document.data))
        .toList();
  }
}
