import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/material.dart';
import 'package:mobile_apps/src/models/item_needed.dart';

class ItemNeededRepository {
  final String idInstitusi;
  final String idItemNeeded;
  const ItemNeededRepository(
      {@required this.idInstitusi, @required this.idItemNeeded});
  DocumentReference get itemNeededDocument => Firestore.instance.document(
      'waspada/covid19/institusi/${idInstitusi}/kebutuhan/${idItemNeeded}');

  ItemNeeded itemNeeded(AsyncSnapshot<DocumentSnapshot> snapshot) {
    Map<String, dynamic> itemNeeded;
    if (!snapshot.hasData || snapshot.hasError) return null;
    itemNeeded = snapshot.data.data;
    itemNeeded['id'] = snapshot.data.documentID;
    return ItemNeeded.fromJson(itemNeeded);
  }
}
