import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/item.dart';

class ItemRepository {
  CollectionReference get itemCollections => Firestore.instance.collection('waspada/covid19/items');

  DocumentReference itemDetail(String id) {
    return Firestore.instance.document('waspada/covid19/items/$id');
  }

  DocumentReference itemDocumentFromPath({@required path}) =>
      Firestore.instance.document(path);

  Stream<QuerySnapshot> get itemSnapshots => itemCollections.snapshots();

  List<Item> inventories(AsyncSnapshot<QuerySnapshot> snapshot) {
    return snapshot.data.documents
        .map<Item>((document) => Item.fromJson(document.data))
        .toList();
  }

  Item item(AsyncSnapshot<DocumentSnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return null;
    return Item.fromJson(snapshot.data.data);
  }
}
