import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/material.dart';
import 'package:mobile_apps/src/models/item_needed.dart';

class KebutuhanRepository {
  CollectionReference kebutuhanCollections(String institusiId) =>
      Firestore.instance.collection(
          'waspada/covid19/institusi/${institusiId}/kebutuhan');

  Stream<QuerySnapshot> kebutuhanSnapshots(String institusiId) =>
      kebutuhanCollections(institusiId).snapshots();

  List<ItemNeeded> kebutuhan(AsyncSnapshot<QuerySnapshot> snapshot) {
    Map<String, dynamic> itemNeeded;
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<ItemNeeded>((document) {
          itemNeeded = document.data;
          itemNeeded['id'] = document.documentID;
          return ItemNeeded.fromJson(itemNeeded);})
        .toList();
  }
}