import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/kontak.dart';

class KontakRepository {
  CollectionReference get kontakSigapCollections => Firestore.instance.collection('waspada/covid19/kontak');

  Stream<QuerySnapshot> get kontekSigapSnapshots => kontakSigapCollections.snapshots();

  CollectionReference kontakCollections(String institusiId) =>
      Firestore.instance.collection('waspada/covid19/institusi/${institusiId}/kontak');

  Stream<QuerySnapshot> kontakSnapshots(String institusiId) =>
      kontakCollections(institusiId).snapshots();

  List<Kontak> semuaKontak(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<Kontak>((document) => Kontak.fromJson(document.data))
        .toList();
  }
}
