import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/product_supplier.dart';

class ProductSupplierRepository {
  DocumentReference oneProductFromSupplier(
      {@required String idSupplier, @required String idProduct}) {
    return Firestore.instance
        .document('waspada/covid19/supplier/$idSupplier/barang/$idProduct');
  }

  DocumentReference oneProductFromSupplierPath({@required String path}) {
    return Firestore.instance.document(path);
  }

  ProductSupplier product(AsyncSnapshot<DocumentSnapshot> snapshot) {
    Map<String, dynamic> product;
    if (!snapshot.hasData || snapshot.hasError) return null;
    product = snapshot.data.data;
    final itemDocId = snapshot.data['item'].documentID;
    return ProductSupplier.fromJson(
        product..addAll({'idItem': itemDocId, 'id': snapshot.data.documentID}));
  }

  CollectionReference allProductsFromSupplier({@required String idSupplier}) =>
      Firestore.instance.collection('waspada/covid19/supplier/$idSupplier/barang');

  List<ProductSupplier> allProducts(AsyncSnapshot<QuerySnapshot> snapshot, {String search}) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    //var docs = snapshot.data.documents;
    return snapshot.data.documents
        .map<ProductSupplier>((document) => ProductSupplier.fromJson(
            document.data..addAll({'id': document.documentID, 'idItem': document.data['item'].documentID})))
        .toList();
  }
}
