import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/supplier.dart';

class SupplierRepository {
  CollectionReference get supplierCollections =>
      Firestore.instance.collection('waspada/covid19/supplier');


  DocumentReference supplierDocument({@required String idSupplier}) {
    return Firestore.instance.document('waspada/covid19/supplier/$idSupplier');
  }

  DocumentReference supplierDocumentFromPath({@required String path}) {
    return Firestore.instance.document(path);
  }

  Supplier supplier(AsyncSnapshot<DocumentSnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return null;
    return Supplier.fromJson(
        snapshot.data.data..addAll({'id': snapshot.data.documentID}));
  }

  Stream<QuerySnapshot> get supplierSnapshots =>
      supplierCollections.snapshots();

  List<Supplier> semuaSupplier(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<Supplier>((document) => Supplier.fromJson(
            document.data..addAll({'id': document.documentID})))
        .toList();
  }
}
