import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/models/ulasan.dart';

class UlasanRepository {
  List<Ulasan> allUlasan(AsyncSnapshot<QuerySnapshot> snapshot) {
    if (!snapshot.hasData || snapshot.hasError) return [];
    return snapshot.data.documents
        .map<Ulasan>((document) => Ulasan.fromJson(document.data))
        .toList();
  }

  CollectionReference ulasanSupplierCollections(String idSupplier, String collection) =>
      Firestore.instance.collection('waspada/covid19/supplier/$idSupplier/$collection');

  Stream<QuerySnapshot> ulasanSupplierSnapshots(String idSupplier, {String collection = 'ulasan'}) =>
      ulasanSupplierCollections(idSupplier, collection).snapshots();

  // TODO after home-industry Firestore is ready
  // CollectionReference ulasanIndustryCollections(String idIndustry) =>
  //     Firestore.instance.collection('waspada/covid19/industries/$idIndustry/ulasan');

  // Stream<QuerySnapshot> ulasanIndustrySnapshots(String idIndustry) =>
  //     ulasanIndustryCollections(idIndustry).snapshots();
}
