import 'package:flutter/material.dart';
import 'package:mobile_apps/src/common/constants.dart';
import 'package:mobile_apps/src/components/buttons/buttons.dart';
import 'package:mobile_apps/src/models/home_industry.dart';
import 'package:mobile_apps/src/routes.dart';

class HomeIndustryWidget extends StatelessWidget {
  final HomeIndustry homeIndustry;

  HomeIndustryWidget({@required this.homeIndustry, Key key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Card(
        child: FittedBox(
      fit: BoxFit.fitHeight,
      child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.center,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Container(
              width: 380,
              margin: EdgeInsets.only(top: 20),
              child: ListTile(
                title: Text(homeIndustry.nama,
                    style: Theme.of(context).textTheme.headline6),
                subtitle: Text('${homeIndustry.alamat}',
                    style: Theme.of(context).textTheme.subtitle1),
                trailing: Icon(Icons.share),
              ),
            ),
            Padding(
              padding: const EdgeInsets.only(left: 12),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.start,
                children: <Widget>[
                  Icon(
                    Icons.home,
                    color: ColorConstants.grayPrimary,
                  ),
                  Text(
                    'Home Industry',
                    style: TextStyle(fontSize: 12),
                  )
                ],
              ),
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.end,
              children: <Widget>[
                Padding(
                  padding:
                      EdgeInsets.symmetric(horizontal: 16.0, vertical: 20.0),
                  child: RoundedButton(text: 'Detail',
                      elevation: 0.0,
                      padding: EdgeInsets.symmetric(horizontal: 66.0),
                      radius: 32.0,
                      style: TextStyle(
                          color: Colors.white,
                          fontSize: 12.0,
                          fontWeight: FontWeight.bold), onPressed: () {
                    Navigator.of(context)
                        .pushNamed(AppRoute.homeIndustry(id: homeIndustry.id));
                  }),
                ),
              ],
            ),
          ]),
    ));
  }
}
