import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/common/constants.dart';
import 'package:mobile_apps/src/screens/home/home_industry/list_home_industry.dart';
import 'package:mobile_apps/src/screens/home/institusi/list_institusi.dart';
/* TODO remove comment after Agregasi feature ready
import 'package:mobile_apps/src/screens/home/inventories/inventories.dart'; */
import 'package:mobile_apps/src/screens/home/kontak/kontak.dart';
import 'package:mobile_apps/src/screens/supplier/list_supplier.dart';
import 'package:mobile_apps/src/services/auth_service.dart';
import 'package:provider/provider.dart';

class HomeScreen extends StatelessWidget {
  const HomeScreen({Key key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    final authService = Provider.of<AuthService>(context);
    final account = authService.account;
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: <Widget>[
          if (authService.isAuthenticated)
            Text(
              'Halo,\n${account?.displayName}!',
              style: Theme.of(context).textTheme.subtitle1,
              textAlign: TextAlign.left,
            ),
          /* TODO remove comment after Agregasi feature ready
          Container(
            padding: EdgeInsets.only(top: 31, left: 20, right: 20, bottom: 13),
            color: Colors.white,
            child: InventoriesWidget(),
          ),*/
          Container(
              padding: EdgeInsets.symmetric(
                  horizontal: MarginConstants.horizontalFromScreen,
                  vertical: 15.0),
              child: ListInstitusiWidget()),
          Container(
              padding: EdgeInsets.symmetric(
                  horizontal: MarginConstants.horizontalFromScreen,
                  vertical: 15.0),
              child: ListSupplierWidget()),
            Container(
              padding: EdgeInsets.symmetric(
                  horizontal: MarginConstants.horizontalFromScreen,
                  vertical: 15.0),
              child: ListHomeIndustry()),  
          Container(
            margin: EdgeInsets.symmetric(
              vertical: MarginConstants.verticalFromScreen,
            ),
            child: KontakWidget(),
          ),
        ],
      ),
    );
  }
}
