import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:mobile_apps/src/components/buttons/buttons.dart';
import 'package:mobile_apps/src/models/institusi.dart';
import 'package:mobile_apps/src/routes.dart';

class InstitusiWidget extends StatelessWidget {
  final Institusi institusi;

  const InstitusiWidget({Key key, @required this.institusi})
      : assert(institusi != null),
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
        child: FittedBox(
          fit: BoxFit.fitHeight,
          child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.center,
              mainAxisSize: MainAxisSize.min,
              children: <Widget>[
            Container(
              width: 380,
              margin: EdgeInsets.only(top: 20),
              child: ListTile(
                title: Text(institusi.nama,
                    style: Theme.of(context).textTheme.headline6),
                subtitle: Text('${institusi.alamat}',
                    style: Theme.of(context).textTheme.subtitle1),
                trailing: Icon(Icons.share),
              ),
            ),
            Padding(
                padding: EdgeInsets.symmetric(horizontal: 16.0),
                child: Text('${institusi.info1} | ${institusi.info2}',
                    style: Theme.of(context).textTheme.subtitle2)),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Padding(
                  padding: EdgeInsets.symmetric(horizontal: 16.0, vertical: 20.0),
                  child: RoundedButton(text: 'Subscribe',
                      elevation: 0.0,
                      padding: EdgeInsets.symmetric(horizontal: 50.0),
                      radius: 32.0,
                      style: TextStyle(
                          color: Colors.white,
                          fontSize: 12.0,
                          fontWeight: FontWeight.bold),
                      onPressed: () {}),
                ),
                Padding(
                  padding: EdgeInsets.symmetric(horizontal: 16.0, vertical: 20.0),
                  child: RoundedButton(text: 'Detail',
                      elevation: 0.0,
                      padding: EdgeInsets.symmetric(horizontal: 66.0),
                      radius: 32.0,
                      style: TextStyle(
                          color: Colors.white,
                          fontSize: 12.0,
                          fontWeight: FontWeight.bold), onPressed: () {
                    Navigator.of(context).pushNamed(AppRoute.institusi(
                        namaInstitusi: institusi.nama,
                        idInstitusi: institusi.id));
                  }),
                ),
              ],
            ),
            // Padding(
            //     padding: EdgeInsets.symmetric(horizontal: 16.0)
            //         .copyWith(top: 16.0),
            //     child: ProgressBar(20, 100))
          ]),
        ));
  }
}
