import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:intl/intl.dart';
import 'package:mobile_apps/src/common/constants.dart';
import 'package:mobile_apps/src/models/notifikasi.dart';


class NotifikasiWidget extends StatelessWidget {
  final Notifikasi notifikasi;

  const NotifikasiWidget(this.notifikasi, {Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final dateFormat = DateFormat.yMMMMd().add_jm();
    return Card(
      child: Padding(
        padding: EdgeInsets.symmetric(horizontal: MarginConstants.horizontalFromScreen),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(
              padding: EdgeInsetsDirectional.only(top: 10.0),
              child: Text(
                '${dateFormat.format(notifikasi.waktu)}',
                style: Theme.of(context).textTheme.subtitle2)
            ),
            Text(
              '${notifikasi.judul}',
              style: Theme.of(context)
                  .textTheme
                  .headline6
                  .copyWith(fontWeight: FontWeight.bold)
            ),
            Padding(
              padding: EdgeInsetsDirectional.only(bottom: 10),
              child: Text(
                '${notifikasi.deskripsi}',
                style: Theme.of(context).textTheme.subtitle1
              ),
            ),
          ]
        )
      )
    );
  }
}
