import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/material.dart';
import 'package:mobile_apps/src/components/appbar/sigapappbar.dart';
import 'package:mobile_apps/src/components/buttons/buttons.dart';
import 'package:mobile_apps/src/components/textform/textform.dart';
import 'package:mobile_apps/src/services/crud_method.dart';

class UlasanInput extends StatefulWidget {
  final String id;

  const UlasanInput({Key key, this.id}) : super(key: key);

  @override
  _UlasanInputState createState() => _UlasanInputState();
}

class _UlasanInputState extends State<UlasanInput> {
  String nama;
  String noTelpPribadi;
  String noTelpKantor;
  String email;
  String jabatan;
  String institusi;
  String ulasan;
  final _formKey = GlobalKey<FormState>();
  CrudMedthods crudObj = CrudMedthods();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: SigapAppBar(title: 'Buat Ulasan Baru'),
      resizeToAvoidBottomInset: true,
      resizeToAvoidBottomPadding: false,
      body: SingleChildScrollView(
        child: Container(
          padding: EdgeInsets.symmetric(vertical: 10.0, horizontal: 30.0),
          child: Form(
            key: _formKey,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                TextFormInput(
                  field: 'Nama Lengkap',
                  onChange: (val) => {setState(() => nama = val)},
                  type: TextInputType.text,
                ),
                TextFormInput(
                  field: 'Nomor Telepon Pribadi',
                  onChange: (val) => {setState(() => noTelpPribadi = val)},
                  type: TextInputType.number,
                ),
                TextFormInput(
                  field: 'Nomor Telepon Kantor',
                  onChange: (val) => {setState(() => noTelpKantor = val)},
                  type: TextInputType.number,
                ),
                TextFormInput(
                  field: 'E-mail',
                  onChange: (val) => {setState(() => email = val)},
                  type: TextInputType.emailAddress,
                ),
                TextFormInput(
                  field: 'Jabatan',
                  onChange: (val) => {setState(() => jabatan = val)},
                  type: TextInputType.text,
                ),
                TextFormInput(
                  field: 'Institusi',
                  onChange: (val) => {setState(() => institusi = val)},
                  type: TextInputType.text,
                ),
                TextFormInput(
                  field: 'Ulasan',
                  onChange: (val) => {setState(() => ulasan = val)},
                  type: TextInputType.multiline,
                  line: 5,
                ),
                Container(
                  padding: EdgeInsets.symmetric(vertical: 8.0),
                  width: double.infinity,
                  child: RoundedButton(
                    text: 'Kirim Ulasan',
                    style: Theme.of(context).textTheme.headline6.copyWith(color: Colors.white),
                    onPressed: () {
                      Navigator.of(context).pop();
                      crudObj.addData({
                        'body': ulasan,
                        'email': email,
                        'institusi': institusi,
                        'jabatan': jabatan,
                        'nama': nama,
                        'telepon': noTelpPribadi,
                        'telpKantor': noTelpKantor,
                        'timestamp': Timestamp.now()
                      },
                      widget.id
                      );
                    },
                    padding: EdgeInsets.symmetric(vertical: 8.0),
                    radius: 32.0,
                )),
                Padding(padding: EdgeInsets.symmetric(vertical: 16.0), child:
                  Text(
                    'Catatan: Nomor telepon pribadi dan e-mail Anda tidak akan dipublikasikan.',
                    style: Theme.of(context).textTheme.subtitle2
                  )
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}

